MailboxesTest mailbox connection

Test mailbox connection

Tests the SMTP connection for a mailbox by decrypting credentials and attempting to connect. Updates the mailbox status based on the result.

curl -X POST "https://api.supasend.io/v1/mailboxes/507f1f77bcf86cd799439011/test" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "status": "ok"
}
POST
/v1/mailboxes/{id}/test
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
path
idstring
Required

MongoDB ObjectID

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Path Parameters

idstring
Required

MongoDB ObjectID

Example:
507f1f77bcf86cd799439011

Responses

statusstring